Name:           yubikey-personalization-gui
Version:        3.1.2
Release:        1%{?dist}
Summary:        GUI for Yubikey personalization

License:        BSD
URL:            https://code.google.com/p/yubikey-personalization/
Source0:        https://yubikey-personalization.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRequires:  libyubikey-devel
BuildRequires:  ykpers-devel
BuildRequires:  desktop-file-utils
BuildRequires:  qt-devel

%description
Yubico's YubiKey can be re-programmed with a new AES key. This is a graphical
tool that makes this an easy task.


%prep
%setup -q


%build
qmake-qt4 "CONFIG+=fedora"
make %{?_smp_mflags}


%install
install -D -p -m 0755 build/release/%{name} %{buildroot}%{_bindir}/%{name}
install -D -p -m 0644 resources/lin/%{name}.1 \
    %{buildroot}%{_mandir}/man1/%{name}.1

mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -p -m 0644 resources/lin/%{name}.xpm %{buildroot}/%{_datadir}/pixmaps/
install -p -m 0644 resources/lin/%{name}.png %{buildroot}/%{_datadir}/pixmaps/

desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
    resources/lin/%{name}.desktop


%files
%doc NEWS README COPYING ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Nov 08 2012 Maxim Burgerhout <maxim@wzzrd.com> - 3.1.2-1
- Update to new upstream release, supporting deleting configurations, testing
  of write operations, fixes to NDEF programming and other bugfixes.

* Thu Oct 17 2012 Maxim Burgerhout <maxim@wzzrd.com> - 3.1.1-2
- Updated for comments on RR

* Thu Oct 17 2012 Maxim Burgerhout <maxim@wzzrd.com> - 3.1.1-1
- Initial packaging
